%define module	GraphViz
%define name	perl-%{module}
%define version 2.04
%define release %mkrel 1

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	%{module} module for perl
License:	GPL or Artistic
Group:		Development/Perl
Source:		http://search.cpan.org/CPAN/authors/id/L/LB/LBROCARD/%{module}-%{version}.tar.bz2
Url:		http://search.cpan.org/dist/%{module}
Requires:	graphviz
%if %{mdkversion} < 1010
BuildRequires:	perl-devel
%endif
BuildRequires:	perl(Math::Bezier)
BuildRequires:	perl(IPC::Run)
BuildRequires:	perl(Graph)
BuildRequires:	graphviz
BuildRequires:	fonts-ttf-dejavu
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
This module provides an interface to layout and image generation of
directed and undirected graphs in a variety of formats (PostScript, PNG,
etc.) using the "dot", "neato" and "twopi" programs from the GraphViz
project (http://www.graphviz.org/ or
http://www.research.att.com/sw/tools/graphviz/). 

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean 
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc CHANGES README
%{perl_vendorlib}/GraphViz.pm
%{perl_vendorlib}/GraphViz
%{perl_vendorlib}/Devel
%{_mandir}/*/*



%changelog
* Sun Dec 14 2008 Guillaume Rousse <guillomovitch@mandriva.org> 2.04-1mdv2009.1
+ Revision: 314246
- update to new version 2.04

* Thu Jul 31 2008 Thierry Vignaud <tvignaud@mandriva.com> 2.03-3mdv2009.0
+ Revision: 257132
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Nov 19 2007 Guillaume Rousse <guillomovitch@mandriva.org> 2.03-1mdv2008.1
+ Revision: 110398
- update to new version 2.03

* Sun Sep 16 2007 Guillaume Rousse <guillomovitch@mandriva.org> 2.02-5mdv2008.0
+ Revision: 88421
- rebuild


* Thu Aug 31 2006 Guillaume Rousse <guillomovitch@mandriva.org> 2.02-4mdv2007.0
- Rebuild

* Thu Aug 31 2006 Guillaume Rousse <guillomovitch@mandriva.org> 2.02-3mdv2007.0
- Rebuild

* Mon Jan 23 2006 Guillaume Rousse <guillomovitch@mandriva.org> 2.02-2mdk
- spec cleanup
- %%mkrel
- better URL

* Thu Jan 13 2005 Guillaume Rousse <guillomovitch@mandrake.org> 2.02-1mdk 
- new release
- back in official contrib

* Thu Sep 30 2004 Guillaume Rousse <guillomovitch@zarb.org> 2.01-1plf
- New release 2.01

* Sat Aug 28 2004 Guillaume Rousse <guillomovitch@zarb.org> 2.00-1plf
- New release 2.00

* Wed Aug 25 2004 Guillaume Rousse <guillomovitch@zarb.org> 1.9-1plf
- new version 
- PLF transfer
- requires graphviz
- no more explicit perl requires
- fixed buildrequires

* Fri Jul 23 2004 Guillaume Rousse <guillomovitch@mandrake.org> 1.8-4mdk 
- rpmbuildupdate aware

* Wed Feb 25 2004 Guillaume Rousse <guillomovitch@mandrake.org> 1.8-3mdk
- fixed dir ownership (distlint)
- %%makeinstall_std macro

